import React, { Component, PropTypes } from 'react';
import Checkbox from '../Checkbox';

const propTypes = {
    label: PropTypes.string,
    value: PropTypes.oneOfType([PropTypes.string, PropTypes.number]).isRequired,
    checked: PropTypes.bool,
    disabled: PropTypes.bool,
    onSelect: PropTypes.func,
};
const defaultProps = {
    theme: 'light',
    disabled: false,
};

class RadioButton extends Component {
    onPress = () => {
        const { value, checked, disabled, onSelect } = this.props;

        if (disabled && !checked) {
            return;
        }

        onSelect(value);
    }

    render() {
        return (
            <Checkbox
                checkedIcon="radio-button-checked"
                uncheckedIcon="radio-button-unchecked"
                {...this.props}
            />
        );
    }
}

RadioButton.propTypes = propTypes;
RadioButton.defaultProps = defaultProps;

export default RadioButton;
